Bug 1552 - Vidmode overly verbose by default causing laptop hard disks to power up when in power save mode
Vidmode overly verbose by default causing laptop hard disks to power up when ...
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xorg
6.8.1
All All
: high normal
Assigned To: Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 21:26 UTC by Mike A. Harris
Modified: 2004-12-14 02:03 UTC (History)
1 user (show)

See Also:


Attachments
[FIXED_X11R68x] xorg-x11-6.8.1-vidmode-change-verbosity.patch (7.17 KB, patch)
2004-10-06 21:30 UTC, Mike A. Harris
roland.mainz: 6.8‑branch+
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mike A. Harris 2004-10-06 21:26:10 UTC
Currently, when a screensaver kicks in, it calls xf86GetModeLine() which
causes the Vidmode extension to write out a debugging log message of what
the current modeline is.  These messages are generally only useful to an X11
developer who is debugging the extension itself, or to an application
developer who is developing an application which uses the vidmode extension
to get/set the video mode, however they're not very useful for end users.

The current default Xvidmode verbosity causes the X server to write overly
detailed video modeline information to the X server log file whenever any
application uses the extension to get, set, or delete modelines.  This causes
a problem for laptop users on battery power with their hard disks set to
power saving mode, because the hard disk will power down, then later the
screensaver kicks in, which calls xf86GetModeLine(), which causes the log
message to get written out, which causes the hard disk to be powered back up.

Having these messages off by default solves this problem for laptop users,
and seems to make the most sense considering how useful they are in general.
By changing the default log level for these messages, developers who need
to see these for debugging purposes can increase their X server verbosity
level and still see them, so no functionality is lost.

This patch lowers the default verbosity of the X server's Xvidmode
extension log file messages, in order to stop Xvidmode from writing
out non-critical log messages to the X server log whenever an application
uses this extension.


Fixes reported bug/RFE:
        https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=128305
Comment 1 Mike A. Harris 2004-10-06 21:30:54 UTC
Created attachment 1026 [details] [review]
[FIXED_X11R68x] xorg-x11-6.8.1-vidmode-change-verbosity.patch
Comment 2 Kristian Høgsberg 2004-12-12 15:22:41 UTC
Comment on attachment 1026 [details] [review]
[FIXED_X11R68x] xorg-x11-6.8.1-vidmode-change-verbosity.patch

Again, sorry for the late nomination, this is another patch from our RPM.

The Vidmode extension writes out non-critical info to the log keeping laptop
disks busy.  The patch changes this so it logs at a higher verbosity level.
Comment 3 Roland Mainz 2004-12-14 11:44:15 UTC
Comment on attachment 1026 [details] [review]
[FIXED_X11R68x] xorg-x11-6.8.1-vidmode-change-verbosity.patch

Approval for X11R6.8.x stable branch granted in the 2004-12-13
release-wranglers phone call.
Please don't commit yourself, I'll do that myself...
Comment 4 Roland Mainz 2004-12-14 21:02:20 UTC
Comment on attachment 1026 [details] [review]
[FIXED_X11R68x] xorg-x11-6.8.1-vidmode-change-verbosity.patch

Patch checked-in into X11R6.8.x stable branch:

/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.365.2.73; previous revision: 1.365.2.72
cvs commit: Using deprecated info format strings.  Convert your scripts to use
the new argument format and remove '1's from your info file format strings.
/cvs/xorg/xc/programs/Xserver/Xext/xf86vmode.c,v  <--  xf86vmode.c
new revision: 1.2.4.1; previous revision: 1.2
cvs commit: Using deprecated info format strings.  Convert your scripts to use
the new argument format and remove '1's from your info file format strings.
Mailing the commit message to xorg-commit@lists.freedesktop.org...
Comment 5 Roland Mainz 2004-12-14 21:03:47 UTC
Patch checked-in into Xorg trunk and X11R6.8.x stable branch...

... marking bug as FIXED (please reopen if there are any outstanding issues
left).